Subject: bug#15801: 24.3.50; bar scrolling freezes gtk emacs

From: Jan Djärv <[email-masked]>
Date: Sun, 1 Dec 2013 12:48:33 +0100

Hello.

1 dec 2013 kl. 12:38 skrev Jarek Czekalski <[email-masked]>:

> 
> W dniu 2013-12-01 12:07, Jan Djärv pisze:
>> has absolutely nothing to do with -nw.  The bug is clearly described in the comment.
>> There is no optimization involved, in fact a bad optimization is removed.
> 
> I also read the commit message. Please type:
> 
> bzr log -r112892 -l 1
> 
> This is the commit I talk about since message 11 [1] in this bug report.
> 
> You said (in private message a moment ago) that you fixed a common bug in this commit. Please give the bug id or describe the bug.

Not all bug fixes have a bug report.
I say again: the bug fixed is described in the comment:

  /* Do not try to optimize with an initial check with g_main_context_pending
     and a call to pselect if it returns false.  If Gdk has a timeout for 0.01
     second, and Emacs has a timeout for 1 second, g_main_context_pending will
     return false, but the timeout will be 1 second, thus missing the gdk
     timeout with a lot.  */

	Jan D.

> 
> Jarek
> 
> [1] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15801#11